FormPropertyConfig (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class FormPropertyConfig

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.FormPropertyConfig

All Implemented Interfaces:
  Serializable

    public class FormPropertyConfig

extends BaseConfig

A JavaBean representing the configuration information of a `<form-property>` element in a Struts configuration file.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-11-12 11:52:08 -0500 (Sat, 12 Nov 2005)$
See Also:
  Serialized Form

Field Summary
`protected String` | `initial` String representation of the initial value for this property.
`protected String` | `name` The JavaBean property name of the property described by this element.
`protected String` | `reset` The conditions under which the property described by this element should be reset to its `initial` value when the form's `reset` method is called.
`protected int` | `size` The size of the array to be created if this property is an array type and there is no specified `initial` value.
`protected String` | `type` The fully qualified Java class name of the implementation class of this bean property, optionally followed by `[]` to indicate that the property is indexed.

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`FormPropertyConfig()` Standard no-arguments constructor for dynamic instantiation.
`FormPropertyConfig(String name, String type, String initial)` Constructor that preconfigures the relevant properties.
`FormPropertyConfig(String name, String type, String initial, int size)` Constructor that preconfigures the relevant properties.
`FormPropertyConfig(String name, String type, String initial, String reset)` Constructor that preconfigures the relevant properties.
`FormPropertyConfig(String name, String type, String initial, String reset, int size)` Constructor that preconfigures the relevant properties.

Method Summary
`String` | `getInitial()`
`String` | `getName()`
`String` | `getReset()`
`int` | `getSize()`
`String` | `getType()`
`Class` | `getTypeClass()` Return a Class corresponds to the value specified for the `type` property, taking into account the trailing "[]" for arrays (as well as the ability to specify primitive Java types).
`void` | `inheritFrom(FormPropertyConfig config)` Inherit values that have not been overridden from the provided config object.
`Object` | `initial()` Return an object representing the initial value of this property.
`void` | `setInitial(String initial)`
`void` | `setName(String name)`
`void` | `setReset(String reset)`
`void` | `setSize(int size)`
`void` | `setType(String type)`
`String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, freeze, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### initial

    protected String initial

  String representation of the initial value for this property.

### name

    protected String name

  The JavaBean property name of the property described by this element.

### reset

    protected String reset

  The conditions under which the property described by this element should be reset to its `initial` value when the form's `reset` method is called.

  This may be set to true (to always reset the property) or a comma-separated list of HTTP request methods.

  Since:
    Struts 1.3

### size

    protected int size

  The size of the array to be created if this property is an array type and there is no specified `initial` value. This value must be non-negative.

  Since:
    Struts 1.1

### type

    protected String type

  The fully qualified Java class name of the implementation class of this bean property, optionally followed by `[]` to indicate that the property is indexed.

Constructor Detail

### FormPropertyConfig

    public FormPropertyConfig()

  Standard no-arguments constructor for dynamic instantiation.

### FormPropertyConfig

    public FormPropertyConfig(String name,
                              String type,
                              String initial)

  Constructor that preconfigures the relevant properties.

  Parameters:
    `name` - Name of this property
    `type` - Fully qualified class name of this property
    `initial` - Initial value of this property (if any)

### FormPropertyConfig

    public FormPropertyConfig(String name,
                              String type,
                              String initial,
                              String reset)

  Constructor that preconfigures the relevant properties.

  Parameters:
    `name` - Name of this property
    `type` - Fully qualified class name of this property
    `initial` - Initial value of this property (if any)
    `reset` - The conditions under which this property will be reset to its initial value.

### FormPropertyConfig

    public FormPropertyConfig(String name,
                              String type,
                              String initial,
                              int size)

  Constructor that preconfigures the relevant properties.

  Parameters:
    `name` - Name of this property
    `type` - Fully qualified class name of this property
    `initial` - Initial value of this property (if any)
    `size` - Size of the array to be created if this property is an array with no defined initial value

### FormPropertyConfig

    public FormPropertyConfig(String name,
                              String type,
                              String initial,
                              String reset,
                              int size)

  Constructor that preconfigures the relevant properties.

  Parameters:
    `name` - Name of this property
    `type` - Fully qualified class name of this property
    `initial` - Initial value of this property (if any)
    `size` - Size of the array to be created if this property is an array with no defined initial value
    `reset` - The conditions under which this property will be reset to its initial value.

Method Detail

### getInitial

    public String getInitial()

### setInitial

    public void setInitial(String initial)

### getName

    public String getName()

### setName

    public void setName(String name)

### getReset

    public String getReset()

### setReset

    public void setReset(String reset)

### getSize

    public int getSize()

### setSize

    public void setSize(int size)

### getType

    public String getType()

### setType

    public void setType(String type)

### getTypeClass

    public Class getTypeClass()

  Return a Class corresponds to the value specified for the `type` property, taking into account the trailing "[]" for arrays (as well as the ability to specify primitive Java types).

### initial

    public Object initial()

  Return an object representing the initial value of this property. This is calculated according to the following algorithm:

  - If the value you have specified for the `type` property represents an array (i.e. it ends with "[]"):
    - If you have specified a value for the `initial` property, `ConvertUtils.convert` will be called to convert it into an instance of the specified array type.
    - If you have not specified a value for the `initial` property, an array of the length specified by the `size` property will be created. Each element of the array will be instantiated via the zero-args constructor on the specified class (if any). Otherwise, `null` will be returned.
  - If the value you have specified for the `type` property does not represent an array:
    - If you have specified a value for the `initial` property, `ConvertUtils.convert` will be called to convert it into an object instance.
    - If you have not specified a value for the `initial` attribute, Struts will instantiate an instance via the zero-args constructor on the specified class (if any). Otherwise, `null` will be returned.

### inheritFrom

    public void inheritFrom(FormPropertyConfig config)
                     throws IllegalAccessException,
                            InvocationTargetException,
                            InstantiationException,
                            ClassNotFoundException

  Inherit values that have not been overridden from the provided config object. Subclasses overriding this method should verify that the given parameter is of a class that contains a property it is trying to inherit:

       if (config instanceof MyCustomFormPropertyConfig) {
           MyCustomFormPropertyConfig myConfig =
               (MyCustomFormPropertyConfig) config;

           if (getMyCustomProp() == null) {
               setMyCustomProp(myConfig.getMyCustomProp());
           }
       }

  Parameters:
    `config` - The object that this instance will be inheriting its values from.
  Throws:
    `IllegalAccessException`
    `InvocationTargetException`
    `InstantiationException`
    `ClassNotFoundException`

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.